mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.MarshalByRefObject System.Runtime.Remoting.IObjectHandle System.Runtime.InteropServices.ClassInterface(System.Runtime.InteropServices.ClassInterfaceType.AutoDual) System.Runtime.InteropServices.ComVisible(true)

The class is used to pass an object (in a wrapped state) between multiple application domains without loading the metadata for the wrapped object in each through which the travels. Thus, the class gives the caller control of when the of the remote object is loaded into a domain.

Wraps marshal-by-value object references, allowing them to be returned through an indirection.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  To be added

  Initializes an instance of the class, wrapping the given object .

  The object that is wrapped by the new .
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Object To be added.

  Initializes the lifetime lease of the wrapped object.

  An initialized that allows you to control the lifetime of the wrapped object.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Object To be added

  Returns the wrapped object.

  The wrapped object.